Package com.destroystokyo.paper.event.server

# Class GS4QueryEvent.QueryResponse.PluginInformation

java.lang.Object
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryResponse.PluginInformation

Enclosing class:
  GS4QueryEvent.QueryResponse

public static class GS4QueryEvent.QueryResponse.PluginInformation extends Object
Plugin information

## Constructor Summary

Constructors
Constructor
Description
`PluginInformation(@NotNull String name, @NotNull String version)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getName()`
`@NotNull String`
`getVersion()`
`static @NotNull GS4QueryEvent.QueryResponse.PluginInformation`
`of(@NotNull String name, @NotNull String version)`
`void`
`setName(@NotNull String name)`
`void`
`setVersion(@NotNull String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginInformation

public PluginInformation(@NotNull @NotNull String name, @NotNull @NotNull String version)

## Method Details

### getName

@NotNull public @NotNull String getName()

### setName

public void setName(@NotNull @NotNull String name)

### setVersion

public void setVersion(@NotNull @NotNull String version)

### getVersion

@NotNull public @NotNull String getVersion()

### of

@NotNull public static @NotNull GS4QueryEvent.QueryResponse.PluginInformation of(@NotNull @NotNull String name, @NotNull @NotNull String version)